> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/test/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/test/networking/zlb/load-balancer-instance/setsecuritygroupforloadbalancers.md).

# SetSecurityGroupForLoadBalancers

## 1. 接口描述

本接口(SetSecurityGroupForLoadBalancers)用于批量更换负载器均衡的安全组。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称            | 必选 | 类型              | 描述                                                                                                |
| --------------- | -- | --------------- | ------------------------------------------------------------------------------------------------- |
| securityGroupId | 是  | String          | <p>要更换的安全组Id。</p><p>可以通过<a href="/pages/uraYkQGFy7BwbKXfJ6Hz">DescribeSecurityGroups</a>接口获取。</p> |
| loadBalancerIds | 是  | Array of String | 要更换安全组的负载均衡ID集合。                                                                                  |

## 3. 响应结果

| 参数名称                  | 类型              | 描述                                                       |
| --------------------- | --------------- | -------------------------------------------------------- |
| requestId             | String          | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| failedLoadBalancerIds | Array of String | 更换失败的负载均衡实例集合。                                           |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 批量更换负载器均衡的安全组**

```json
POST /api/v2/zlb HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: SetSecurityGroupForLoadBalancers
<Common Request Params>

Request：
{
  "securityGroupId": "<your sg id>",
  "loadBalancerIds": [
    "<your lb id1>",
    "<your lb id2>"
  ]
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "failedLoadBalancerIds": []
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/test/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/test/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                  | 说明      |
| ------- | ------------------------------------ | ------- |
| 404     | INVALID\_SECURITY\_GROUP\_NOT\_FOUND | 安全组不存在。 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/test/networking/zlb/load-balancer-instance/setsecuritygroupforloadbalancers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
